org.omg.CORBA.DynAnyPackage

## Class InvalidValue

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.omg.CORBA.UserException
      - - org.omg.CORBA.DynAnyPackage.InvalidValue

- All Implemented Interfaces:
    Serializable, IDLEntity

      public final class InvalidValue
      extends UserException

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidValue()` Constructs an `InvalidValue` object.
    `InvalidValue(String reason)` Constructs an `InvalidValue` object.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidValue

          public InvalidValue()

      Constructs an `InvalidValue` object.

    - #### InvalidValue

          public InvalidValue(String reason)

      Constructs an `InvalidValue` object.
      Parameters:
        `reason` - a `String` giving more information regarding the exception.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.